void drawUpperPoints(float[][] points, float[] randomtrans, int start, int end, ArrayList<Book> books)
{
  for (int i=0; i<points.length; ++i) {
    Book book = books.get(i);
    points[i][0] = random(0, 90);    // latitude
    points[i][1] = random(start, end);  // longitude
    points[i][2] = book.dewey;
    randomtrans[i] = random(0, 1);
  }
}

void drawLowerPoints(float[][] points, float[] randomtrans, int start, int end, ArrayList<Book> books)
{
  for (int i=0; i<points.length; ++i) {
    Book book = books.get(i);
    points[i][0] = random(-90, 0);    // latitude
    points[i][1] = random(start, end);  // longitude
    points[i][2] = book.dewey;
    randomtrans[i] = random(-1, 0);
  }
}
  
void drawArcs()
{
  noFill();
  stroke(115);
  int space = 0;
  for(int i=0; i<7; ++i)
  {
    space += 100;
  }
  strokeWeight(2);
  arc(0, 0, 150 + space, 150 + space, 0, 2 * PI, CHORD);
  space += 50;
  arc(0, 0, 150 + space, 150 + space, 0, 2 * PI, CHORD);
  space += 100;
  arc(0, 0, 150 + space, 150 + space, 0, 2 * PI, CHORD);
}
