void drawInfo() {
  
  pushMatrix();
  strokeWeight(0.5);
  stroke(255);
  textSize(280);
  scale(0.1);
  textAlign(LEFT, CENTER);
  text("Constellations", 180, 400);
  popMatrix();
  
  stroke(255);
  textSize(15);
  text("Displays top 2000 books from 2006 to 2019", 20, 65);
  text("grouped by dewey classification", 20, 80);
  
  cam.beginHUD();
  text("Select Years", 20, 150);
  noStroke();
  
  fill(coloron[0]);
  rect(20, 170,10,10);
  fill(255,255,255);
  text("2006", 35, 170);
  
  fill(coloron[1]);
  rect(20, 190,10,10);
  fill(255,255,255);
  text("2007", 35, 190);
  
  fill(coloron[2]);
  rect(20, 210,10,10);
  fill(255,255,255);
  text("2008", 35, 210);
  
  fill(coloron[3]);
  rect(20, 230,10,10);
  fill(255,255,255);
  text("2009", 35, 230);
  
  fill(coloron[4]);
  rect(20, 250,10,10);
  fill(255,255,255);
  text("2010", 35, 250);
  
  fill(coloron[5]);
  rect(20, 270,10,10);
  fill(255,255,255);
  text("2011", 35, 270);
  
  fill(coloron[6]);
  rect(20, 290,10,10);
  fill(255,255,255);
  text("2012", 35, 290);
  
  fill(coloron[7]);
  rect(20, 310,10,10);
  fill(255,255,255);
  text("2013", 35, 310);
  
  fill(coloron[8]);
  rect(20, 330,10,10);
  fill(255,255,255);
  text("2014", 35, 330);
  
  fill(coloron[9]);
  rect(20, 350,10,10);
  fill(255,255,255);
  text("2015", 35, 350);
  
  fill(coloron[10]);
  rect(20, 370,10,10);
  fill(255,255,255);
  text("2016", 35, 370);
  
  fill(coloron[11]);
  rect(20, 390,10,10);
  fill(255,255,255);
  text("2017", 35, 390);
  
  fill(coloron[12]);
  rect(20, 410,10,10);
  fill(255,255,255);
  text("2018", 35, 410);
  
  fill(coloron[13]);
  rect(20, 430,10,10);
  fill(255,255,255);
  text("2019", 35, 430);
  cam.endHUD();

  noFill();

  textSize(15);
  text("Press R to Rotate", 20, 595);
  text("Press L to show labeling over hover", 20, 610);
  text("Press D to data points", 20, 625);
  text("Press 0 to 9 to show different dewey classes", 20, 640);
  rect(20, 645,10,10);
  fill(#FE8A9C);
  rect(20, 655,10,10);
  fill(255);
  text("Dewey 000 to 099: Computer science, information and general works", 35, 655);
  fill(#F78773);
  rect(20, 670,10,10);
  fill(255);
  text("Dewey 100 to 199: Philosophy and Psychology", 35, 670);
  fill(#FE8A9C);
  rect(20, 685,10,10);
  fill(255);
  text("Dewey 200 to 299: Religion", 35, 685);
  fill(#F098C6);
  rect(20, 700,10,10);
  fill(255);
  text("Dewey 300 to 399: Social Sciences", 35, 700);
  fill(#CDADE6);
  rect(20, 715,10,10);
  fill(255);
  text("Dewey 400 to 499: Language", 35, 715);
  fill(#99C3F5);
  rect(20, 730,10,10);
  fill(255);
  text("Dewey 500 to 599: Science", 35, 730);
  fill(#61D5EE);
  rect(20, 745,10,10);
  fill(255);
  text("Dewey 600 to 699: Technology", 35, 745);
  fill(#48E3D3);
  rect(20, 760,10,10);
  fill(255);
  text("Dewey 700 to 799: Arts and Recreation", 35, 760);
  fill(#6CEAAD);
  rect(20, 775,10,10);
  fill(255);
  text("Dewey 800 to 899: Literature", 35, 775);
  fill(#A4EC85);
  rect(20, 790,10,10);
  fill(255);
  text("Dewey 900 to 999: History and Geography", 35, 790);
}

void mousePressed() {
   if (mouseX >= 20 && mouseX <= 30 && mouseY >= 170 && mouseY <= 180) {
     if (!off[0]) {
       coloron[0] = color(#F098C6);
       off[0] = !off[0];
       return;
     } else {
       coloron[0] = color(255);
       off[0] = !off[0];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 190 && mouseY <= 200) {
     if (!off[1]) {
       coloron[1] = color(#F098C6);
       off[1] = !off[1];
       return;
     } else {
       coloron[1] = color(255);
       off[1] = !off[1];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 210 && mouseY <= 220) {
     if (!off[2]) {
       coloron[2] = color(#F098C6);
       off[2] = !off[2];
       return;
     } else {
       coloron[2] = color(255);
       off[2] = !off[2];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 230 && mouseY <= 240) {
     if (!off[3]) {
       coloron[3] = color(#F098C6);
       off[3] = !off[3];
       return;
     } else {
       coloron[3] = color(255);
       off[3] = !off[3];
       return;
     }
   }
   else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 250 && mouseY <= 260) {
     if (!off[4]) {
       coloron[4] = color(#F098C6);
       off[4] = !off[4];
       return;
     } else {
       coloron[4] = color(255);
       off[4] = !off[4];
       return;
     }
   }
   else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 270 && mouseY <= 280) {
     if (!off[5]) {
       coloron[5] = color(#F098C6);
       off[5] = !off[5];
       return;
     } else {
       coloron[5] = color(255);
       off[5] = !off[5];
       return;
     }
   }else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 290 && mouseY <= 300) {
     if (!off[6]) {
       coloron[6] = color(#F098C6);
       off[6] = !off[6];
       return;
     } else {
       coloron[6] = color(255);
       off[6] = !off[6];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 310 && mouseY <= 320) {
     if (!off[7]) {
       coloron[7] = color(#F098C6);
       off[7] = !off[7];
       return;
     } else {
       coloron[7] = color(255);
       off[7] = !off[7];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 330 && mouseY <= 340) {
     if (!off[8]) {
       coloron[8] = color(#F098C6);
       off[8] = !off[8];
       return;
     } else {
       coloron[8] = color(255);;
       off[8] = !off[8];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 350 && mouseY <= 360) {
     if (!off[9]) {
       coloron[9] = color(#F098C6);
       off[9] = !off[9];
       return;
     } else {
       coloron[9] = color(255);
       off[9] = !off[9];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 370 && mouseY <= 380) {
     if (!off[10]) {
       coloron[10] = color(#F098C6);
       off[10] = !off[10];
       return;
     } else {
       coloron[10] = color(255);
       off[10] = !off[10];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 390 && mouseY <= 400) {
     if (!off[11]) {
       coloron[11] = color(#F098C6);
       off[11] = !off[11];
       return;
     } else {
       coloron[11] = color(255);
       off[11] = !off[11];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 410 && mouseY <= 420) {
     if (!off[12]) {
       coloron[12] = color(#F098C6);
       off[12] = !off[12];
       return;
     } else {
       coloron[12] = color(255);
       off[12] = !off[12];
       return;
     }
   } else if (mouseX >= 20 && mouseX <= 30 && mouseY >= 430 && mouseY <= 440) {
     if (!off[13]) {
       coloron[13] = color(#F098C6);
       off[13] = !off[13];
       return;
     } else {
       coloron[13] = color(255);
       off[13] = !off[13];
       return;
     }
   }
}

void keyPressed() {

  if (key == '0') {
    dewey[0] = !dewey[0];
  }

  if (key == '1') {
    dewey[1] = !dewey[1];
  }

  if (key == '2') {
    dewey[2] = !dewey[2];
  }

  if (key == '3') {
    dewey[3] = !dewey[3];
  }

  if (key == '4') {
    dewey[4] = !dewey[4];
  }

  if (key == '5') {
    dewey[5] = !dewey[5];
  }

  if (key == '6') {
    dewey[6] = !dewey[6];
  }

  if (key == '7') {
    dewey[7] = !dewey[7];
  }

  if (key == '8') {
    dewey[8] = !dewey[8];
  }

  if (key == '9') {
    dewey[9] = !dewey[9];
  }

  if (key == 'l' || key == 'L') {
    labels = !labels;
  }

  if (key == 'r' || key == 'R') {
    rotation = !rotation;
  }

  if (key == 'd' || key == 'D') {
    data = !data;
  }
}
