void convertToSpherical(float[][] points, float[] randomtrans, ArrayList<Book> books, PVector[] coord)
{
  for (int i=1; i<points.length; ++i) {
    if(i%3 == 0)
    {
      //line(coord.x, coord.y, coord.z, 0, 0, 0);
    }
    if(data)
    {
    color c = colorizePoints((int)points[i][2]);
    stroke(c);
    strokeWeight(2);
    } else {
      noStroke();
    }
    point(coord[i].x, coord[i].y, coord[i].z);
    
    if(labels)
    {
    float mappedX= screenX(coord[i].x,coord[i].y,coord[i].z);
    float mappedY = screenY(coord[i].x,coord[i].y,coord[i].z);
    float distance = dist(mouseX, mouseY, mappedX, mappedY);
    if(distance<2)
    {
      Book book = books.get(i);
      pushMatrix();
      fill(255);
      translate(coord[i].x, coord[i].y, coord[i].z);
      scale(0.9);
      rotateX((3*PI)/2);
      textAlign(LEFT, BOTTOM);
      text(book.title, 0, 0);
      popMatrix();
    }
  }
  }
}

void pointstoSphere(float[][] points, float[] randomtrans, PVector[] coord, ArrayList<Book> books)
{
  for (int i=1; i<points.length; ++i) {
    Book book = books.get(i);
    lat = radians(points[i][0]);
    lon = radians(points[i][1]);
    d = radians(points[i][2]);
    float x = r * cos(lat) * cos(lon);
    float y = r * cos(lat) * sin(lon);
    float z = r * sin(lat) * randomtrans[i];
    coord[i] = new PVector(x, y, z);
  }
}
