void fillTable(Table table, ArrayList<Book> books, String file)
{
  table = loadTable(file, "header");
  int numRows = table.getRowCount();
  for (int i=0; i<numRows; i++) {
    int year= table.getInt(i, 0);
    String dewey = table.getString(i, 1);
    int deweycategory = int(dewey.substring(0, 3));
    String title = table.getString(i, 2);
    
    Book newBook = new Book(title, year, deweycategory);
    books.add(newBook);
  }
}
