void lineIndices(float[][] points, int start, int end, PVector[] coord)
{
    ArrayList<Integer> seenBeforeList = new ArrayList<Integer>();
    for(int index = 1; index < points.length; index++){
        int value = (int)points[index][2];
        if(value >= start && value <= end)
        {
          seenBeforeList.add(index);
        }
    } 
    connectPoints(seenBeforeList, start, end, coord);
}

void connectPoints(ArrayList<Integer> seenBeforeList, int start, int end, PVector[] coord)
{
  int init = seenBeforeList.get(0), temp = 0;
  for(int i=1; i<seenBeforeList.size() - 1; ++i)
  {
    int index = seenBeforeList.get(i);
    temp = seenBeforeList.get(i+1);
    color c = colorizePoints(start);
    stroke(c);
    line(coord[temp].x, coord[temp].y, coord[temp].z, coord[index].x, coord[index].y, coord[index].z);
  }
  
    line(coord[temp].x, coord[temp].y, coord[temp].z, coord[init].x, coord[init].y, coord[init].z);
}

void deweyLines(float[][] points, int start, int end, PVector[] coord, Boolean off)
{
  if(!off)
  {
    for(int i=0; i<10; ++i)
    {
      if(dewey[i])
      {
        lineIndices(points, start, end, coord);
      }
      start += 100;
      end += 100;
    }
  }
}
